Bug 16560 - Translatability: Issues in opac-memberentry.tt
Summary: Translatability: Issues in opac-memberentry.tt
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: I18N/L10N (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Marc Véron
QA Contact: Testopia
URL:
Keywords:
Depends on: 14659
Blocks:
  Show dependency treegraph
 
Reported: 2016-05-21 07:36 UTC by Marc Véron
Modified: 2017-12-07 22:17 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: String patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 16560: Translatability: Issues with "The entered " in opac-memberentry.tt (1.99 KB, patch)
2016-05-23 12:27 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 16560: Translatability: Issues with "The entered " in opac-memberentry.tt (2.13 KB, patch)
2016-05-28 09:20 UTC, Frédéric Demians
Details | Diff | Splinter Review
Bug 16560: Translatability: Issues with "The entered " in opac-memberentry.tt (2.20 KB, patch)
2016-06-10 15:21 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Marc Véron 2016-05-21 07:36:28 UTC
In opac-memberentry.tt, the following parts lead to translaiton errors because of sentence splitting by tags:

<strong>The entered <a href="#borrower_cardnumber">card number</a> is the wrong length.</strong>

<strong>The entered <a href="#borrower_cardnumber">card number</a> is already in use.</strong>
Comment 1 Marc Véron 2016-05-23 12:27:51 UTC Comment hidden (obsolete)
Comment 2 Frédéric Demians 2016-05-28 09:20:40 UTC Comment hidden (obsolete)
Comment 3 Jonathan Druart 2016-06-10 15:21:52 UTC
Created attachment 52245 [details] [review]
Bug 16560: Translatability: Issues with "The entered " in opac-memberentry.tt

This patch fixes two splitted sentences to avoid translation issues:

The entered <a href="#borrower_cardnumber">card number</a> is the wrong length.
The entered <a href="#borrower_cardnumber">card number</a> is already in use.

To test:
Apply patch and verify that html in the 2 that are changed is correct and that
they are not splitted by a-tags.

Note: I could not figure out under which conditions this code displays in
      the OPAC self registration form.

Signed-off-by: Frédéric Demians <f.demians@tamil.fr>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 4 Kyle M Hall 2016-06-10 17:38:27 UTC
Pushed to master for 16.11, thanks Marc!
Comment 5 Frédéric Demians 2016-06-15 07:47:02 UTC
Pushed in 16.05. Will be in 16.05.01.
Comment 6 Julian Maurice 2016-06-16 09:19:50 UTC
Not needed in 3.22.x